HWLOC-PS(1)

NAME
hwloc-ps - List currently-running processes that are bound.

SYNOPSIS
hwloc-ps [options]

OPTIONS

-a  list all processes, even those that are not bound to any specific part of the machine.

-p --physical
    report OS/physical indexes instead of logical indexes

-l --logical
    report logical indexes instead of physical/OS indexes (default)

-c --cpuset
    show process bindings as cpusets instead of objects.

--whole-system
    Do not consider administration limitations.

DESCRIPTION
By default, hwloc-ps lists only those currently-running processes that are bound; it displays their their identifier, command-line and binding. The binding may be reported as objects or cpusets. By default, process bindings are restricted to the currently available topology. If some processes are bound to processors that are not available to the current process, they are ignored unless --whole-system is given. The output is a plain list. If you wish to annotate the hierarchical topology with processes so as to see how they are actual distributed on the machine, you might want to use lstopo --ps instead (which also only shows processes that are bound).

The -a switch can be used to show all processes, if desired.

SEE ALSO
hwloc(7), lstopo(1), hwloc-calc(1), hwloc-distrib(1)